routes/web.php
<?php

use App\Http\Controllers;
use Illuminate\Routing\Router;
use App\Http\Controllers\Settings;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Route;
use App\Http\Controllers\AnnouncementController;
use App\Http\Controllers\Student\PreSurveyController;
use App\Http\Controllers\Student\PostSurveyController;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', [Controllers\PortalController::class, 'index'])->name('portal.index');
Route::get('privacy-policy', [Controllers\PageController::class, 'indexPolicy'])->name('page.policy');
Route::get('disclaimer', [Controllers\PageController::class, 'indexDisclaimer'])->name('page.disclaimer');

Route::get('orientation-leader-activation/{remember_token}', [Controllers\Admin\UserController::class, 'orientationLeaderActivation'])->name('orientation-leader-activation');

Route::group(['prefix' => 'microsoft', 'as' => 'microsoft.'], function () {
    Route::get('login', [Controllers\Auth\Microsoft\LoginController::class, 'login'])->name('login');
    Route::get('login/callback', [Controllers\Auth\Microsoft\LoginController::class, 'callback'])->name('login.callback');
});

Auth::routes(['verify' => true]);

// Handle all user path
Route::group(['middleware' => ['auth', 'verified']], function () {
    Route::get('dashboard', [Controllers\DashboardController::class, 'index'])->name('dashboard.index');
    Route::get('profile', [Controllers\ProfileController::class, 'index'])->name('profile.index');
    Route::post('profile', [Controllers\ProfileController::class, 'store'])->name('profile.store');
    Route::get('profile/notification', [Controllers\ProfileController::class, 'indexNotification'])->name('profile.notification.index');
    Route::post('profile/notification/read/{read}', [Controllers\ProfileController::class, 'updateNotificationRead'])->name('profile.notification-read.update');
    Route::get('profile/password', [Controllers\ProfileController::class, 'indexPassword'])->name('profile.password.index');
    Route::post('profile/password', [Controllers\ProfileController::class, 'storePassword'])->name('profile.password.store');
    Route::post('google-accounts/share-event', [Controllers\GoogleAccountController::class, 'shareEvent'])->name('google-accounts.share-event');
    Route::post('google-accounts/share-events', [Controllers\GoogleAccountController::class, 'shareEvents'])->name('google-accounts.share-events');
    Route::get('orientations/export-timetable', [Controllers\OrientationController::class, 'exportTimetable'])->name('orientations.export-timetable');
    Route::get('timetables', [Controllers\OrientationController::class, 'index'])->name('orientations.index');
});

// Handle student path
Route::group(['middleware' => ['auth', 'verified', 'student']], function () {
    Route::get('resources', [Controllers\ResourceController::class, 'index'])->name('resources.index');
    Route::get('resources/{resource}', [Controllers\ResourceController::class, 'show'])->name('resources.show');
    Route::get('arrivals', [Controllers\ArrivalController::class, 'index'])->name('arrivals.index');
    Route::get('arrivals/{arrival}', [Controllers\ArrivalController::class, 'show'])->name('arrivals.show');
    // Route::get('pre-orientations', [Controllers\PreOrientationController::class, 'index'])->name('pre-orientations.index');

    Route::prefix('announcements')->group(function (Router $router) {
        $router->get('/', [AnnouncementController::class, 'index'])->name('announcement.index');
        $router->get('/{slug}', [AnnouncementController::class, 'show'])->name('announcement.show');
    });

    Route::put('timetables/attendance', [Controllers\OrientationController::class, 'upsertAttendance'])->name('orientations.upsert-attendance');
    Route::put('timetables/{orientation}/rate', [Controllers\OrientationController::class, 'updateRate'])->name('orientations.update-rate');
    Route::put('timetables/{orientation}/rsvp', [Controllers\OrientationController::class, 'upsertRsvp'])->name('orientations.upsert-rsvp');
    Route::put('timetables/{orientation}/rsvp-yes', [Controllers\OrientationController::class, 'upsertRsvpYes'])->name('orientations.upsert-rsvp-yes');
    Route::put('timetables/{orientation}/rsvp-no', [Controllers\OrientationController::class, 'upsertRsvpNo'])->name('orientations.upsert-rsvp-no');

    Route::get('orientations', [Controllers\OrientationController::class, 'index2'])->name('orientations.index2');
    Route::get('orientations/post-survey', [PostSurveyController::class, 'index'])->name('orientations.post-survey');
    Route::post('orientations/post-survey', [PostSurveyController::class, 'store']);

    Route::resource('club-societies', Controllers\ClubSocietyController::class);
    Route::resource('attendances', Controllers\AttendanceController::class);
    Route::resource('surveys', Controllers\SurveyController::class);
    Route::resource('faqs', Controllers\FaqController::class);

    Route::prefix('preorientations')->name('student.preorientation.')->group(function (Router $router) {
        $router->get('', [Controllers\Student\PreorientationController::class, 'index'])->name('index');
        $router->get('survey', [PreSurveyController::class, 'index'])->name('survey');
        $router->post('survey', [PreSurveyController::class, 'store']);
    });
});

// Handle admin path
Route::group(['prefix' => 'admin', 'as' => 'admin.', 'middleware' => ['auth', 'permission:admin', 'verified']], function () {
    Route::get('dashboard', [Controllers\DashboardController::class, 'indexAdmin'])->name('dashboard.index');
    Route::group(['prefix' => 'announcements', 'as' => 'announcements', 'middleware' => 'permission:manage_announcements'], function (Router $router) {
        $router->get('/', [Controllers\Admin\AnnouncementController::class, 'index'])->name('.index');
        $router->get('create', [Controllers\Admin\AnnouncementController::class, 'create'])->name('.create');
        $router->post('store', [Controllers\Admin\AnnouncementController::class, 'store'])->name('.store');
        $router->get('preview/{uuid}', [Controllers\Admin\AnnouncementController::class, 'show'])->name('.show');
        $router->get('edit/{uuid}', [Controllers\Admin\AnnouncementController::class, 'edit'])->name('.edit');
        $router->patch('update/{uuid}', [Controllers\Admin\AnnouncementController::class, 'update'])->name('.update');
        $router->delete('delete/{uuid}', [Controllers\Admin\AnnouncementController::class, 'destroy'])->name('.delete');
    });

    // Route::resource('attendances', Controllers\Admin\AttendanceController::class);
    Route::group(['middleware' => ['permission:manage_users']], function () {
        Route::post('users/bulk/role', [Controllers\Admin\UserController::class, 'updateBulkRole'])->name('users.update-bulk-role');
        Route::post('users/bulk/active', [Controllers\Admin\UserController::class, 'updateBulkActive'])->name('users.update-bulk-active');
        Route::post('users/bulk/inactive', [Controllers\Admin\UserController::class, 'updateBulkInactive'])->name('users.update-bulk-inactive');
        Route::post('users/admin', [Controllers\Admin\UserController::class, 'storeAdmin'])->name('users.store-admin');
        Route::put('users/{user}/active', [Controllers\Admin\UserController::class, 'updateActive'])->name('users.update-active');
        Route::resource('users', Controllers\Admin\UserController::class);
    });
    Route::group(['middleware' => ['permission:manage_roles']], function () {
        Route::post('roles/bulk/active', [Controllers\Admin\RoleController::class, 'updateBulkActive'])->name('roles.update-bulk-active');
        Route::post('roles/bulk/inactive', [Controllers\Admin\RoleController::class, 'updateBulkInactive'])->name('roles.update-bulk-inactive');
        Route::put('roles/{role}/active', [Controllers\Admin\RoleController::class, 'updateActive'])->name('roles.update-active');
        Route::resource('roles', Controllers\Admin\RoleController::class);
    });
    Route::resource('quizzes', Controllers\Admin\QuizController::class);
    Route::group(['middleware' => ['permission:manage_resources']], function () {
        Route::delete('resources/{resource}/file/{file}', [Controllers\Admin\ResourceController::class, 'destroyFile'])->name('resources.destroy-file');
        Route::delete('resources/{resource}/link/{link}', [Controllers\Admin\ResourceController::class, 'destroyLink'])->name('resources.destroy-link');
        Route::put('resources/{resource}/active', [Controllers\Admin\ResourceController::class, 'updateActive'])->name('resources.update-active');
        Route::put('resources/{resource}/file/{file}', [Controllers\Admin\ResourceController::class, 'updateFile'])->name('resources.update-file');
        Route::put('resources/{resource}/link/{link}', [Controllers\Admin\ResourceController::class, 'updateLink'])->name('resources.update-link');
        Route::post('arrivals/{arrival}/clone', [Controllers\Admin\ArrivalController::class, 'clone'])->name('arrivals.clone');
        Route::post('arrivals/bulk/active', [Controllers\Admin\ArrivalController::class, 'updateBulkActive'])->name('arrivals.update-bulk-active');
        Route::post('arrivals/bulk/inactive', [Controllers\Admin\ArrivalController::class, 'updateBulkInactive'])->name('arrivals.update-bulk-inactive');
        Route::resource('arrivals', Controllers\Admin\ArrivalController::class);
        Route::post('resources/bulk/active', [Controllers\Admin\ResourceController::class, 'updateBulkActive'])->name('resources.update-bulk-active');

app/Http/Controllers/Admin/StudentController.php
<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Services\Admin\StudentService;
use App\Traits\Controllers\BaseControllerTrait;
use Illuminate\Http\Request;

class StudentController extends Controller
{
    use BaseControllerTrait;

    public function __construct()
    {
        $this->service = new StudentService();
    }

    public function showOrientation(Request $request, $uuid)
    {
        return $this->service->showOrientation($request, auth()->user(), $uuid);
    }
}

app/Http/Controllers/DashboardController.php
<?php

namespace App\Http\Controllers;

use App\Services\DashboardService;
use App\Services\Admin\DashboardService as AdminDashboardService;
use Illuminate\Http\Request;

class DashboardController extends Controller
{

    public function index(Request $request)
    {
        if (auth()->user()->can('student')) {
            $service = new DashboardService();
        } elseif(auth()->user()->can('admin')) {
            $service = new AdminDashboardService();
        }else{
            abort(404);
        }
        return $service->index($request, auth()->user());
    }

    public function indexAdmin(Request $request)
    {
        $service = new AdminDashboardService();
        return $service->index($request, auth()->user());
    }
}

app/Http/Controllers/Student/PostSurveyController.php
<?php

namespace App\Http\Controllers\Student;

use Illuminate\Http\Request;
use App\Services\AuthService;
use App\Http\Controllers\Controller;
use App\Http\Requests\Survey\StorePostOrientationRequest;

class PostSurveyController extends Controller
{
    public $authService;

    public function __construct()
    {
        $this->authService = new AuthService();
    }

    public function index(Request $request)
    {
        $title = 'Post Orientation Survey';
        $is_answered = $this->authService->student()->is_post_orientation_survey_complete;
        $answer = $this->authService->student()->post_survey_answer ?? null;
        // dd($answer);
        return view('student.survey.post-orientation', compact('title', 'is_answered', 'answer'));
    }

    public function store(StorePostOrientationRequest $request)
    {
        $data = [];
        for ($i = 1; $i <= 7; $i++) {
            switch ($i) {
                case 1:
                    $data['q1'] = [
                        'question' => 'How useful was the information you acquired during the Pre-Orientation on Taylor’s Orientation Portal?',
                        'answer' => $request->input('q1'),
                    ];
                    break;
                case 2:
                    $data['q2'] = [
                        'question' => 'Rate your experience using Taylor\'s Orientation Portal?',
                        'answer' => $request->input('q2'),
                    ];
                    break;
                case 3:
                    $data['q3'] = [
                        'question' => 'How would you rate the level of support you received from the  Orientation Leaders?',
                        'answer' => $request->input('q3'),
                    ];
                    break;
                case 4:
                    $data['q4'] = [
                        'question' => 'Please indicate your level of concern for each of the following topics related to your transition into Taylor\'s after attending Orientation.',
                        'answer' => [
                            'q4-1' => [
                                'question' => 'Academic Support',
                                'answer' => $request->input('q4-1'),
                            ],
                            'q4-2' => [
                                'question' => 'Making New Friends',
                                'answer' => $request->input('q4-2'),
                            ],
                            'q4-3' => [
                                'question' => 'Personal Well-being',
                                'answer' => $request->input('q4-3'),
                            ],
                            'q4-4' => [
                                'question' => 'Campus Facilities and Services',
                                'answer' => $request->input('q4-4'),
                            ],
                            'q4-5' => [
                                'question' => 'Support from Staff',
                                'answer' => $request->input('q4-5'),
                            ],
                        ],
                    ];
                    break;
                case 5:
                    $data['q5'] = [
                        'question' => 'Please share your thoughts and experiences about your overall orientation as a freshman.',
                        'answer' => $request->input('q5'),
                    ];
                    break;
                case 6:
                    $data['q6'] = [
                        'question' => 'How likely are you to recommend Taylor\'s to a friend or colleague?',
                        'answer' => $request->input('q6'),
                    ];
                    break;
            }
        }

        $student = $this->authService->student();
        $student->update([
            'is_post_orientation_survey_complete' => true,
            'post_survey_answer' => $data,
        ]);
        $student->studentPoints()->updateOrCreate([
            'student_id' => $student->id,
            'name' => 'post_orientation_survey',
        ], [
            'point' => setting('survey.point_post_orientation_survey', 0),
        ]);

        return redirect()->route('orientations.index2')->with('message', 'Post Orientation Survey completed!');
    }
}

app/View/Components/Dashboard/AchievementStars.php
<?php

namespace App\View\Components\Dashboard;

use App\Services\AuthService;
use Illuminate\View\Component;

class AchievementStars extends Component
{
    /**
     * Create a new auth service instance
     *
     * @var AuthService
     */
    protected AuthService $authService;

    /**
     * Create a new repository instance
     * 
     * @param   AuthService $authService
     * @return  void
     */
    public function __construct(AuthService $authService)
    {
        $this->authService = $authService;
    }

    /**
     * Get the view / contents that represent the component.
     *
     * @return \Illuminate\Contracts\View\View|\Closure|string
     */
    public function render()
    {
        $student = $this->authService->student();
        $data = $student->achievement_percentage;

        $stars = $data / 20;
        $gauge = $data;

        return view('components.dashboard.achievement-stars', [
            'stars' => $stars,
            'gauge' => $gauge,
        ]);
    }
}

app/View/Components/Dashboard/AttendanceChart.php
<?php

namespace App\View\Components\Dashboard;

use App\Models\Orientation;
use App\Services\AuthService;
use Illuminate\View\Component;
use App\Models\OrientationRsvp;
use App\Models\OrientationAttendance;
use App\Models\StudentPoint;

class AttendanceChart extends Component
{

    /**
     * Create a new auth service instance
     *
     * @var AuthService
     */
    protected AuthService $authService;

    /**
     * Create a new repository instance
     * 
     * @param   AuthService $authService
     * @return  void
     */
    public function __construct(AuthService $authService)
    {
        $this->authService = $authService;
    }

    /**
     * Get the view / contents that represent the component.
     *
     * @return \Illuminate\Contracts\View\View|\Closure|string
     */
    public function render()
    {
        $student = $this->authService->student();
        $data = $student->orientation_attendance_percentage;
        return view('components.dashboard.attendance-chart', [
            'completed' => $data,
        ]);
    }
}

resources/views/dashboard/student/avatar.blade.php
<!--begin::User menu-->
<div class="card mb-5 mb-xl-8">
    <!--begin::Body-->
    <div class="card-body pt-0 px-0">
        <!--begin::Member-->
        <div class="d-flex flex-column text-center mb-9 px-9">
            {{-- <div class="symbol symbol-80px symbol-lg-150px mb-4">
                <img src="{{ asset('media/avatars/300-3.jpg') }}" class="" alt="" />
            </div> --}}
            <!--begin::Info-->
            {{-- <div class="text-center">
                <!--begin::Name-->
                <a href="{{ route('dashboard.index') }}"
                    class="text-gray-800 fw-bold text-hover-primary fs-4">{{ $user->profile->name }}</a>
                <!--end::Name-->
                <!--begin::Position-->
                <span class="text-muted d-block fw-semibold">{{ $user->profile->programme->name }}</span>
                <!--end::Position-->
            </div> --}}
        </div>
        <!--end::Member-->
        <!--begin::Row-->
        <div class="row px-9 mb-4">
            <!--begin::Col-->
            <div class="col-md-4 text-center">
                <div class="text-gray-800 fw-bold fs-3">
                    <span class="m-0" data-kt-countup="true" data-kt-countup-value="300">0</span>/
                    <span class="m-0" data-kt-countup="true" data-kt-countup-value="500">0</span>
                </div>
                <span class="text-gray-500 fs-8 d-block fw-bold">Pre-orientation</span>
            </div>
            <!--end::Col-->
            <!--begin::Col-->
            <div class="col-md-4 text-center">
                <div class="text-gray-800 fw-bold fs-3">
                    <span class="m-0" data-kt-countup="true" data-kt-countup-value="400">0</span>/
                    <span class="m-0" data-kt-countup="true" data-kt-countup-value="500">0</span>
                </div>
                <span class="text-gray-500 fs-8 d-block fw-bold">Orientation</span>
            </div>
            <!--end::Col-->
            <!--begin::Col-->
            <div class="col-md-4 text-center">
                <div class="text-gray-800 fw-bold fs-3">
                    <span class="m-0" data-kt-countup="true" data-kt-countup-value="500">0</span>/
                    <span class="m-0" data-kt-countup="true" data-kt-countup-value="500">0</span>
                </div>
                <span class="text-gray-500 fs-8 d-block fw-bold">Surveys/Others</span>
            </div>
            <!--end::Col-->
        </div>
        <!--end::Row-->
    </div>
    <!--end::Body-->
</div>
<!--end::User menu-->

resources/views/dashboard/student/index.blade.php
<div class="row g-5 g-xl-10 mb-md-0 mb-5">
    {{-- <div class="col-md-8 col-lg-8 col-xl-8 col-xxl-8 mb-md-5 mb-xl-10">
        @include('dashboard.student.banner')
        @include('dashboard.student.announcement')
        <x-announcement.carousel></x-announcement.carousel>
        @include('dashboard.student.resources')
    </div>
    <div class="col-md-4 col-lg-4 col-xl-4 col-xxl-4 mb-md-5 mb-xl-10">
        <div class="card card-shadow">
            <div class="card-header pt-7">
                <h3 class="card-title align-items-start flex-column">
                    <span class="card-label fw-bold text-red">Activities Points</span>
                </h3>
                <div class="card-toolbar">
                </div>
            </div>
            <!--end::Header-->

            <!--begin::Body-->
            <div class="card-body">
                <h4 class="align-items-start flex-column text-red">
                    <span class="fs-1">200</span> <span class="fs-5">Points</span>
                </h4>

                <div class="fw-bold mt-5">
                    My Rewards <i class="fa-solid fa-gift"></i>
                </div>
                <!--begin::Table container-->
                <div class="table-responsive">
                    <!--begin::Table-->
                    <table class="table-row-dashed my-0 table align-middle">
                        <tbody>
                            @foreach ([['STARBUCKS VOUCHER RM10', '=', '100 points'], ['FAMILYMART VOUCHER RM10', '=', '100 points'], ['CELEBRITY FITNESS 1-MONTH', '=', '200 points'], ['KFC VOUCHER RM10', '=', '100 points'], ['TNG EWALLET RM10', '=', '100 points']] as $item)
                                <tr class="hover-elevate-up parent-hover shadow-sm">
                                    <td class="">
                                        <div class="symbol symbol-50px">
                                            <img src="{{ asset('media/others/touchngo.png') }}" class=""
                                                alt="">
                                        </div>
                                    </td>
                                    <td class="">
                                        <div class="d-flex align-items-center text-gray-800">
                                            <figure>
                                                <blockquote>
                                                    <b>{{ $item[0] }}</b>
                                                </blockquote>
                                                <figcaption class="blockquote-footer">
                                                    <cite title="{{ $item[2] }}">{{ $item[2] }}</cite>
                                                </figcaption>
                                            </figure>
                                        </div>
                                    </td>
                                    <td>
                                        <div class="d-flex align-items-center">
                                            <a href="#" role="button" class="btn btn-light-danger btn-sm">
                                                <div class="d-flex align-item-center">
                                                    <span>Claim</span>
                                                </div>
                                            </a>
                                        </div>
                                    </td>
                                </tr>
                            @endforeach
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
        <div class="card card-shadow my-3">
            <div class="card-header border-0 pt-5">
                <h3 class="card-title align-items-start flex-column">
                    <span class="card-label fw-bold text-dark">TOP Points</span>
                </h3>
            </div>
            <div class="card-body pt-0">
                <div class="card card-bordered">
                    <div class="card-body">
                        <div id="preOrientationDonutChart"></div>
                    </div>
                </div>
                @include('dashboard.student.avatar')
            </div>
        </div>

        <div class="card card-shadow">
            <div class="card-header">
                <h3 class="card-title align-items-start flex-column">
                    <span class="card-label fw-bold text-dark">Pre-Orientation Tracking</span>
                    <span class="fw-semibold fs-6 mt-1 text-gray-400">Step-by-step</span>
                </h3>
            </div>
            <div class="card-body">
                <div class="d-flex align-items-center w-200px w-sm-300px flex-column mt-3">
                    <x-completion.pre-orientation-progress></x-completion.pre-orientation-progress>
                </div>

                <div class="separator separator-dashed my-5"></div>

                <div class="scroll-y me-n7 pe-7" style="height: 200px">
                    <x-pre-orientation.tracking></x-pre-orientation.tracking>
                </div>
            </div>
        </div>
    </div> --}}

    {{-- New dashboard --}}
    <div class="col-md-4 col-lg-4 col-xl-4 col-xxl-4 mb-md-8 mb-xl-10">
        <div id="pre-orientation-tracking">
            <div class="card card-shadow" style="background-color: transparent !important;">
                <div class="card-body">
                    <h2 class="card-title align-items-start flex-column" style="margin-bottom: 18px !important">
                        <span class="card-label fw-bold text-dark fs-1"
                            style="font-family: Century Gothic,CenturyGothic,AppleGothic,sans-serif; ">Pre-Orientation
                            Progress</span>

                        <x-tooltip.basic
                            title='Check your Pre-Orientation progress here and unlock the next level after completing each checkpoint.'>
                        </x-tooltip.basic>
                    </h2>
                    <div class="scroll-y me-n7 pe-7">
                        <x-pre-orientation.tracking></x-pre-orientation.tracking>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="col-md-8 col-lg-8 col-xl-8 col-xxl-8 mb-md-8 mb-xl-10">
        <div class="row">
            <div class="col-12">
                @include('dashboard.student.search')
            </div>
        </div>
        <div class="row">
            <div class="container mb-4">
                <div class="row">
                    <div class="col-md-6 mb-md-0 mb-4" style="min-height: 235px !important; max-height: 235px !important;">
                        <x-dashboard.attendance-chart></x-dashboard.attendance-chart>
                    </div>
                    <div class="col-md-6">
                        <x-dashboard.survey-chart></x-dashboard.survey-chart>
                    </div>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="container py-2" style="min-height: 235px !important; max-height: 235px !important;">
                <div class="d-flex">
                    <div class="col-12">
                        <x-dashboard.achievement-stars></x-dashboard.achievement-stars>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<div class="row g-5 g-xl-10 mt-md-0 mb-2 mt-10">
    <div class="col-12 px-13">
        <x-announcement.carousel></x-announcement.carousel>
    </div>
</div>

resources/views/dashboard/student/search.blade.php
<div id="faq-search">
    <div class="card card-shadow" style="background-color: transparent !important;">
        <div class="card-body">
            <h2 class="card-title" style="margin-bottom: 20px !important">
                <span class="card-label fw-bold text-dark fs-1"
                    style="font-family: Century Gothic,CenturyGothic,AppleGothic,sans-serif; ">Frequently
                    Asked
                    Questions</span>

                <x-tooltip.basic title='Key in your questions and unravel the answers to your most pressing questions.'>
                </x-tooltip.basic>
            </h2>
            <div class="position-relative">
                <div id="searchFaq" class="input-group flex-nowrap">
                    <span class="input-group-text" id="addon-wrapping">
                        <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor"
                            class="bi bi-search" viewBox="0 0 16 16">
                            <path
                                d="M11.742 10.344a6.5 6.5 0 1 0-1.397 1.398h-.001c.03.04.062.078.098.115l3.85 3.85a1 1 0 0 0 1.415-1.414l-3.85-3.85a1.007 1.007 0 0 0-.115-.1zM12 6.5a5.5 5.5 0 1 1-11 0 5.5 5.5 0 0 1 11 0z" />
                        </svg>
                    </span>
                    <input id="faqDt_search" type="text" class="form-control" placeholder="Find your needs"
                        aria-label="Find your needs" aria-describedby="addon-wrapping" data-kt-search-element="input">

                </div>
                <div data-kt-search-element="content"
                    class="position-absolute top-100 z-index-2 menu menu-sub menu-sub-dropdown ps-7 pe-5 py-7"
                    style="left: 0;right: 0;">
                    <div data-kt-search-element="wrapper">
                        <div data-kt-search-element="results">
                            {!! $faqDt->html()->table() !!}
                            @push('script')
                                {!! $faqDt->html()->generateScripts() !!}
                            @endpush
                        </div>
                        <div class="d-flex justify-content-center pt-5">
                            <button data-kt-search-element="close" class="btn btn-sm btn-secondary me-3">Close</button>
                            <a href="{{ route('faqs.index') }}" class="btn btn-sm btn-red">See All</a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
@push('scripts')
    <script>
        // FAQ Search, on user press enter
        $('#faq-search input').on('keyup', function(e) {
            if (e.key === 'Enter' || e.keyCode === 13) {
                window.location.href = "{{ route('faqs.index') }}?q=" + $(this).val();
            }
        });
    </script>
@endpush